Update an offer

Updates an existing offer by ID. All fields are optional except title and itemCount.

Path Params
integer
required

The unique identifier of the offer.

Body Params
boolean

Indicates if the offer is active.

string

The title of the offer. Cannot be empty.

string

Description of the offer.

date-time

When the offer starts. Empty string will reset the start date.

date-time

When the offer ends. Empty string will reset the end date.

string
enum

Type of discount for the offer.

Allowed:
number

Discount amount. If discountType is percent, must be between 0 and 100.

number

Maximum monetary discount if using percent. Leave unset if not applicable.

integer

Number of products needed to qualify (must be greater than 0).

string
enum

The order used to pick items for discount.

Allowed:
targets
array of objects

Objects specifying which items are included in the offer.

targets
boolean

Whether the offer applies to pre-order products.

date-time

Shipping start date for the excluded pre-order products. Empty string or unset if not used.

date-time

Shipping end date for the excluded pre-order products. Empty string or unset if not used.

excludedProducts
array of integers

An array of product IDs excluded from the offer.

excludedProducts
Responses

400

Invalid request data.

401

Unauthorized. Invalid or missing API key.

404

Offer not found.

500

Server error.

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json